/*==================================================================
	File:		Win32ZStringExtractTool.cpp

	Contains:	Tool for extracting ZString information from
				a binary on Windows

	Written by:	Nalini Prakash

	Copyright:	2000-2001 Connectix Corporation
	
	This source has been placed into the public domain by
	Connectix Corporation. You have the right to modify, 
	distribute or use this code without any legal limitations
	or finanicial/licensing requirements. Connectix is not 
	liable for any problems that result from the use of this 
	code.
	
	If you have comments, feedback, questions, or would like
	to submit bug fixes or updates to this code, please email
	opensource@connectix.com.
==================================================================*/

#if !defined(AFX_WIN32ZSTRINGEXTRACTTOOL_H__F1F2257C_844B_49AD_ABF9_2B26BEE98A3C__INCLUDED_)
#define AFX_WIN32ZSTRINGEXTRACTTOOL_H__F1F2257C_844B_49AD_ABF9_2B26BEE98A3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ZStringData.h"

class Win32ZStringExtractTool  
{
public:
	Win32ZStringExtractTool();
	virtual ~Win32ZStringExtractTool();

	bool
	ExtractZStrings(
		CString			inSrcFile,
		CString			inDestFile,
		ZToolOptions	inOptions);

private:	
	HANDLE				mNewFile;
	HANDLE				mNewMemFile;
	char *				mNewBinaryImage;
};

#endif // !defined(AFX_WIN32ZSTRINGEXTRACTTOOL_H__F1F2257C_844B_49AD_ABF9_2B26BEE98A3C__INCLUDED_)

